org.jbpm.process.audit

## Class JPAWorkingMemoryDbLogger

- java.lang.Object
- - org.jbpm.process.audit.AbstractAuditLogger
  - - org.jbpm.process.audit.JPAWorkingMemoryDbLogger

- All Implemented Interfaces:
    EventListener, org.kie.api.event.process.ProcessEventListener

      public class JPAWorkingMemoryDbLogger
      extends AbstractAuditLogger

  Enables history log via JPA.

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.AbstractAuditLogger

      `AFTER_COMPLETE_EVENT_TYPE, AFTER_NODE_ENTER_EVENT_TYPE, AFTER_NODE_LEFT_EVENT_TYPE, AFTER_START_EVENT_TYPE, AFTER_VAR_CHANGE_EVENT_TYPE, BEFORE_COMPLETE_EVENT_TYPE, BEFORE_NODE_ENTER_EVENT_TYPE, BEFORE_NODE_LEFT_EVENT_TYPE, BEFORE_START_EVENT_TYPE, BEFORE_VAR_CHANGE_EVENT_TYPE, builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAWorkingMemoryDbLogger()`
    `JPAWorkingMemoryDbLogger(javax.persistence.EntityManagerFactory emf)`
    `JPAWorkingMemoryDbLogger(javax.persistence.EntityManagerFactory emf, org.kie.api.runtime.Environment env)`
    `JPAWorkingMemoryDbLogger(org.kie.api.runtime.Environment env)`
    `JPAWorkingMemoryDbLogger(org.kie.api.runtime.KieSession session)`
    `JPAWorkingMemoryDbLogger(org.drools.core.WorkingMemory workingMemory)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterNodeLeft(org.kie.api.event.process.ProcessNodeLeftEvent event)`
    `void` | `afterNodeTriggered(org.kie.api.event.process.ProcessNodeTriggeredEvent event)`
    `void` | `afterProcessCompleted(org.kie.api.event.process.ProcessCompletedEvent event)`
    `void` | `afterProcessStarted(org.kie.api.event.process.ProcessStartedEvent event)`
    `void` | `afterSLAViolated(org.kie.api.event.process.SLAViolatedEvent event)`
    `void` | `afterVariableChanged(org.kie.api.event.process.ProcessVariableChangedEvent event)`
    `void` | `beforeNodeLeft(org.kie.api.event.process.ProcessNodeLeftEvent event)`
    `void` | `beforeNodeTriggered(org.kie.api.event.process.ProcessNodeTriggeredEvent event)`
    `void` | `beforeProcessCompleted(org.kie.api.event.process.ProcessCompletedEvent event)`
    `void` | `beforeProcessStarted(org.kie.api.event.process.ProcessStartedEvent event)`
    `void` | `beforeVariableChanged(org.kie.api.event.process.ProcessVariableChangedEvent event)`
    `void` | `dispose()`
    `protected static UserTransaction` | `findUserTransaction()`
    `protected javax.persistence.EntityManager` | `getEntityManagerFromTransaction(org.kie.api.runtime.Environment env)`

    - ### Methods inherited from class org.jbpm.process.audit.AbstractAuditLogger

      `getBuilder, setBuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.event.process.ProcessEventListener

      `beforeSLAViolated`

- - ### Constructor Detail

    - #### JPAWorkingMemoryDbLogger

          public JPAWorkingMemoryDbLogger(org.drools.core.WorkingMemory workingMemory)

    - #### JPAWorkingMemoryDbLogger

          public JPAWorkingMemoryDbLogger(org.kie.api.runtime.KieSession session)

    - #### JPAWorkingMemoryDbLogger

          public JPAWorkingMemoryDbLogger(javax.persistence.EntityManagerFactory emf)

    - #### JPAWorkingMemoryDbLogger

          public JPAWorkingMemoryDbLogger()

    - #### JPAWorkingMemoryDbLogger

          public JPAWorkingMemoryDbLogger(javax.persistence.EntityManagerFactory emf,
                                          org.kie.api.runtime.Environment env)

    - #### JPAWorkingMemoryDbLogger

          public JPAWorkingMemoryDbLogger(org.kie.api.runtime.Environment env)

  - ### Method Detail

    - #### beforeNodeTriggered

          public void beforeNodeTriggered(org.kie.api.event.process.ProcessNodeTriggeredEvent event)

    - #### afterNodeLeft

          public void afterNodeLeft(org.kie.api.event.process.ProcessNodeLeftEvent event)

    - #### afterVariableChanged

          public void afterVariableChanged(org.kie.api.event.process.ProcessVariableChangedEvent event)

    - #### beforeProcessStarted

          public void beforeProcessStarted(org.kie.api.event.process.ProcessStartedEvent event)

    - #### afterProcessCompleted

          public void afterProcessCompleted(org.kie.api.event.process.ProcessCompletedEvent event)

    - #### afterNodeTriggered

          public void afterNodeTriggered(org.kie.api.event.process.ProcessNodeTriggeredEvent event)

    - #### afterSLAViolated

          public void afterSLAViolated(org.kie.api.event.process.SLAViolatedEvent event)

    - #### beforeNodeLeft

          public void beforeNodeLeft(org.kie.api.event.process.ProcessNodeLeftEvent event)

    - #### beforeVariableChanged

          public void beforeVariableChanged(org.kie.api.event.process.ProcessVariableChangedEvent event)

    - #### afterProcessStarted

          public void afterProcessStarted(org.kie.api.event.process.ProcessStartedEvent event)

    - #### beforeProcessCompleted

          public void beforeProcessCompleted(org.kie.api.event.process.ProcessCompletedEvent event)

    - #### dispose

          public void dispose()

    - #### getEntityManagerFromTransaction

          protected javax.persistence.EntityManager getEntityManagerFromTransaction(org.kie.api.runtime.Environment env)

    - #### findUserTransaction

          protected static UserTransaction findUserTransaction()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.